Reference
//
Update a vendor
Security
oauth2ClientCredentials(Required scopes: vendors:write)
- Mock serverhttps://developer.boyahq.com/_mock/v2/openapi/vendors/{id}
- Productionhttps://api.boyahq.com/v2/vendors/{id}
- Sandboxhttps://sandbox.api.boyahq.com/v2/vendors/{id}
curl -i -X PUT \
'https://developer.boyahq.com/_mock/v2/openapi/vendors/{id}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'business_id: string' \
-H 'org_wallet_ref: string' \
-d '{
"phone": 712345678,
"email": "vendor@example.com",
"contact_name": "John Doe",
"company_name": "Acme Corporation",
"address": "P.O. Box 12345, Nairobi",
"description": "Office supplies vendor",
"status": "ACTIVE",
"payment_instructions": [
{
"_id": "string",
"channel": "bank",
"phone": 712345678,
"accno": "1234567890",
"bank": "BANK OF AFRICA K LTD",
"bank_code": "19",
"bankCode": "19",
"till": "123456",
"till_no": "123456",
"business_no": "247247",
"is_default": true
}
],
"taxID": "P051234567X",
"read_only": false,
"externalId": "12345"
}'Vendor updated successfully
Response
{ "_id": "string", "phone": "string", "email": "string", "contact_name": "string", "company_name": "string", "address": "string", "description": "string", "status": "ACTIVE", "payment_instructions": [ { … } ], "taxID": "string", "read_only": true, "externalId": "string", "createdAt": "string", "updatedAt": "string", "__v": 0 }